summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Shvetsov <alexxy@omrb.pnpi.spb.ru>2018-06-14 13:38:23 +0300
committerAlexey Shvetsov <alexxy@omrb.pnpi.spb.ru>2018-06-14 13:38:23 +0300
commit37fcff9e7a404d17ff6f0f5427230bd9d50d0903 (patch)
tree2bfac4ed60b36a12bce03507172478faf5cdaf89
parentall: Drop old ebuilds (diff)
downloadalexxy-37fcff9e7a404d17ff6f0f5427230bd9d50d0903.zip
alexxy-37fcff9e7a404d17ff6f0f5427230bd9d50d0903.tar.gz
alexxy-37fcff9e7a404d17ff6f0f5427230bd9d50d0903.tar.bz2
dev-python/click: Add 5.1 version for platformio
Package-Manager: Portage-2.3.40, Repoman-2.3.9
-rw-r--r--dev-python/click/Manifest1
-rw-r--r--dev-python/click/click-5.1.ebuild48
-rw-r--r--dev-python/click/metadata.xml11
3 files changed, 60 insertions, 0 deletions
diff --git a/dev-python/click/Manifest b/dev-python/click/Manifest
new file mode 100644
index 0000000..dd7e9e1
--- /dev/null
+++ b/dev-python/click/Manifest
@@ -0,0 +1 @@
+DIST click-5.1.tar.gz 275592 SHA256 678c98275431fad324275dec63791e4a17558b40e5a110e20a82866139a85a5a SHA512 b860b0227644f5d1cc24d41e66985421ec971f11f3f596fb46508fdc787200b949e7ef29b2035421ebb0115384688da03c3c95a0d6acc58dd3b566b32a2b7c6a WHIRLPOOL 8bda8de886a272972595bf51af3881962063daaa4fc9e104af59b4798008a2f780c3fb4a758d7fe14ef075b92aecc43415b08bb213cbd6ac4ab92a56e405276e
diff --git a/dev-python/click/click-5.1.ebuild b/dev-python/click/click-5.1.ebuild
new file mode 100644
index 0000000..f6772af
--- /dev/null
+++ b/dev-python/click/click-5.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python package for creating beautiful command line interfaces"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+HOMEPAGE="http://click.pocoo.org/ https://pypi.org/project/click/"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="doc examples test"
+
+REQUIRED_USE="doc? ( || ( $(python_gen_useflags 'python2*') ) )"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+pkg_setup() {
+ use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( 'python2*' )
+}
+
+python_prepare_all() {
+ # Prevent un-needed d'loading
+ sed -e "s/, 'sphinx.ext.intersphinx'//" -i docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ emake test
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/click/metadata.xml b/dev-python/click/metadata.xml
new file mode 100644
index 0000000..54aeaa8
--- /dev/null
+++ b/dev-python/click/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">click</remote-id>
+ </upstream>
+</pkgmetadata>